#
# spec file for package patterns-devel-python
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-devel-python
Version:        20180125
Release:        4.13
Summary:        Patterns for Installation (Python devel)
License:        MIT
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains all the python patterns.

%package devel_python3
%pattern_development
Summary:        Python 3 Developement
Provides:       pattern() = devel_python3
Provides:       pattern-icon() = pattern-python-devel
Provides:       pattern-order() = 3359
Provides:       pattern-visible()
Recommends:     python3
Recommends:     python3-black
Recommends:     python3-devel
Recommends:     python3-flake8
Recommends:     python3-pip
Recommends:     python3-pytest
Recommends:     python3-requests
Recommends:     python3-setuptools
Recommends:     python3-tox
Recommends:     python3-virtualenv

%description devel_python3

%files devel_python3
%dir %{_docdir}/patterns
%{_docdir}/patterns/devel_python3.txt

%prep
:

%build
:

%install
mkdir -p %{buildroot}%{_docdir}/patterns/
echo 'This file marks the pattern devel_python3 to be installed.' > %{buildroot}%{_docdir}/patterns/devel_python3.txt

%changelog
* Fri Jul 10 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add python3-black into the devel pattern
* Sun Sep 30 2018 Stasiek Michalski <hellcp@mailbox.org>
- Change icon for Python devel pattern. (boo#1039994)
* Tue Mar 20 2018 tchvatal@suse.com
- Format with spec-cleaner
* Thu Jan 25 2018 tchvatal@suse.com
- Kill python2 devel pattern as we want people to use just the
  python3 one.
- Reshape the python3 devel pattern to recommend only basic set
  of tools to start actual development
* Tue May 23 2017 dimstar@opensuse.org
- Fix spacing in description (boo#1040006).
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
